<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Resources\API\TeamMemberResource;
use App\Models\Project;
use App\Models\TeamMember;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class TeamMemberController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function members(string $projectId)
    {
        $project = Project::query()->findOrFail($projectId);

        return TeamMemberResource::collection($project->teamMembers);
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $teamMember = TeamMember::query()->findOrFail($id);

        if ($teamMember->project?->company_id != Auth::user()->company_id) {
            return $this->forbidden('No permission to delete');
        }

        $teamMember->delete();

        return $this->noContent();
    }
}
